Package org.apache.catalina.startup

## Class ContextRuleSet

- java.lang.Object
- - org.apache.tomcat.util.digester.RuleSetBase
  - - org.apache.catalina.startup.ContextRuleSet

All Implemented Interfaces:
  `RuleSet`

    public class ContextRuleSet
    extends RuleSetBase

RuleSet for processing the contents of a Context definition element.

Author:
  Craig R. McClanahan

### Field Summary

Fields
`protected boolean` `create` Should the context be created.
`protected java.lang.String` `prefix` The matching pattern prefix to use for recognizing our elements.

### Fields inherited from class org.apache.tomcat.util.digester.RuleSetBase

`namespaceURI`

### Constructor Summary

Constructors
`ContextRuleSet()` Construct an instance of this `RuleSet` with the default matching pattern prefix.
`ContextRuleSet​(java.lang.String prefix)` Construct an instance of this `RuleSet` with the specified matching pattern prefix.
`ContextRuleSet​(java.lang.String prefix, boolean create)` Construct an instance of this `RuleSet` with the specified matching pattern prefix.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRuleInstances​(Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

### Methods inherited from class org.apache.tomcat.util.digester.RuleSetBase

`getNamespaceURI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### prefix

    protected final java.lang.String prefix

The matching pattern prefix to use for recognizing our elements.

#### create

    protected final boolean create

Should the context be created.

### Constructor Detail

#### ContextRuleSet

    public ContextRuleSet()

Construct an instance of this `RuleSet` with the default matching pattern prefix.

#### ContextRuleSet

    public ContextRuleSet​(java.lang.String prefix)

Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Parameters:
  `prefix` - Prefix for matching pattern rules (including the trailing slash character)

#### ContextRuleSet

    public ContextRuleSet​(java.lang.String prefix,
                          boolean create)

Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Parameters:
  `prefix` - Prefix for matching pattern rules (including the trailing slash character)
  `create` - `true` if the main context instance should be created

### Method Detail

#### addRuleInstances

    public void addRuleInstances​(Digester digester)

Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

Specified by:
  `addRuleInstances` in interface `RuleSet`
Specified by:
  `addRuleInstances` in class `RuleSetBase`
Parameters:
  `digester` - Digester instance to which the new Rule instances should be added.